               Carbon Copy PLUS for Asynchronous Connections
                         Version 6.1 Upgrade
                              READPAT.CCP

    This file contains information regarding the upgrade of Carbon Copy PLUS
  Version 6.0 to Carbon Copy for DOS Version 6.1. Please see the file 
  README.CCA for other enhancements to the product. 
    THIS UPGRADE IS INTENDED SOLELY FOR DOMESTIC RETAIL VERSIONS AND CAN
  NOT BE APPLIED TO ANY FOREIGN LANGUAGE OR OEM VERSIONS OF THE PRODUCT.


    IMPORTANT: If you no longer possess the master diskette with the original
               Carbon Copy PLUS files, make a backup of the files from your
               hard drive before running the Patch Utility. The Utility will
               delete the old files.
    
    IMPORTANT: Carbon Copy PLUS has been renamed to Carbon Copy for DOS.  This naming
     	       makes it conform with the other Carbon Copy Products: Carbon Copy for
               Windows and Carbon Copy for MAC.
		
    IMPORTANT: The CCINSTAL.EXE program has been renamed to CCSETUP.EXE
 	       You will need to run CCSETUP after running the patch
               to reselect your modem type.


    HOW TO RUN THE PATCH UTILITY:

  1. Copy the patch files to the directory on your hard drive where the
    Carbon Copy PLUS files are located. Ensure you have the following
    files:
    
       CCPPATCH.BAT  -  batch file to automate upgrading to Version 6.1
       PATCH.EXE     -  Patch Utility
       CCP61.RTP    -  contains changes to Carbon Copy PLUS 

  2. Make sure Version 6.0 of the following files exist in your current
    directory.

       CC.EXE	    CCREMOVE.EXE   CCDISAB.EXE
       CCHELP.EXE   CCINSTALL.EXE  CCENAB.EXE
       CCINSTAL.EXE CCSECURE.EXE   CCHELP.PIF   
       MODEM.DSC    CCS.EXE	   CH-PIF.DVP
       CCHLP.MSG    CCLOG.EXE

    IMPORTANT: The Patch Utility will not upgrade these files unless they
               are present in your current directory.


  3. At the DOS prompt of your CCP directory, type "ccppatch" and 
    press <Enter>.

     The Utility will inform you of its progress and of any errors it may
    encounter while running. At the end, it will show you a summary of the
    results.
     If errors were encountered, you may correct the problem and run the
    Patch Utility again. Files that were already upgraded successfully will
    be skipped each time the Utility is run.
     If you see the error message, "Old File does not exist", it can signify
    three possible conditions:

       1. The file indicated is not in your current directory.
            (Make sure the correct files are in your current directory.)
       2. The file indicated is not Version 6.0.
            (The upgrade is intended for Version 6.0 only. Make sure the
             correct files are in your current directory.)
       3. If the file indicated is Version 6.0, it may be corrupted.
            (Re-install the original files from the master diskette and
             run the Patch Utility again.)

     Included with the upgrade will be a new READ.ME file and a new file, 
    LSRFIX.EXE. See the READ.ME file for information on LSRFIX.EXE and other 
    enhancements to the product.


    PROBLEMS CORRECTED BY THIS UPGRADE:
     
  1. The CCINSTAL.EXE program has been renamed to CCSETUP.EXE
  
  2. Running with Forced Error Checking enabled would randomly cause systems
     to hang. This has been resolved.

  3. DESQview compatibility has been enhanced and is more reliable; particu-
     larly when remotely controlling DESQview.

  4. The problem displaying characters in high intensity on the Guest system
     during remote control, when the Host system has a VGA video adapter has
     been resolved.

  5. Problems using the Num Lock, Caps Lock, and Scroll Lock keys while
     remotely controlling a Host system that has a keyboard that is not 8042
     compatible have been resolved.
  
  6. Receiving broadcast messages on a Novell network during remote control
     is more reliable.

  7. Specifying an invalid Working Directory in CCINSTAL would hang Carbon
     Copy upon execution. This has been resolved.

  9. The problem with the Num Lock light always turning on when exiting the
     Terminal Emulator menus has been resolved.

 10. File Transfer Protocols for Terminal Emulation, X-MODEM Batch and
     Y-MODEM Batch, did not function properly when using wildcard conventions.
     This has been resolved.

 11. A problem that occurred randomly when establishing a connection (some-
     times at the Password prompt) has been resolved. Establishing a connec-
     tion is now more reliable.

 12. Support for 43/50 line text modes has been added.

 13. Support for Hayes Pocket modem has been added.  Use the /H load
     option to avoid dropping RTS to flow control data.  The Hayes Pocket
     modem uses RTS for power.

 14. A new API call is added:  GUEST side, function 8.  Purpose: in
     remote control transmits the Scan Code from DL to the HOST side. 
     Returns: AL= 0 - OK
                  1 - cannot send:we are not connected
                  2 - cannot send:we are not in remote control

 15. Disable/Enable CC Reboot on Exit from Main Menu now works.

 16. Changing the Com port while CC is resident works properly.

 17. Function Keys F11 and F12 are now being transmitted.

 18. Usage Timeout is in effect even when using CCDOS.  Remote user
     will be disconnected when the preset time expires.

 19. A flow control problem in CCHELP was addressed and transferred
     data is now more reliable.

 20. The PAUSE key now has no effect when pressed.

 21. CCHELP/O problems should be resolved.

 22. NOTE:  CCDOS cannot transfer files larger than 33mb.

 23. In general, there are several improvements to Carbon Copy that in-
     crease performance and reliability.

 24. The MODEM.DSC file has been updated by adding new modems to the list as
     well as updating current modem descriptors.

 25. A new CCDOS command "DCOPY" has been added see READ.ME for usage.

 26. File transfer to a host PC using the Intel 9600 EX modem will now 
     operate properly.

 
               
